OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlLDrivers

# XmlLDrivers_NamespaceDef Class Reference

`#include <XmlLDrivers_NamespaceDef.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XmlLDrivers_NamespaceDef ()
Standard_EXPORT | XmlLDrivers_NamespaceDef (const TCollection_AsciiString &thePrefix, const TCollection_AsciiString &theURI)
Standard_EXPORT const TCollection_AsciiString & | Prefix () const
Standard_EXPORT const TCollection_AsciiString & | URI () const
## Private Attributes
TCollection_AsciiString | myPrefix
TCollection_AsciiString | myURI

## Constructor & Destructor Documentation

Standard_EXPORT XmlLDrivers_NamespaceDef::XmlLDrivers_NamespaceDef | ( |  | ) |

Standard_EXPORT XmlLDrivers_NamespaceDef::XmlLDrivers_NamespaceDef | ( | const TCollection_AsciiString & | thePrefix,
|  | const TCollection_AsciiString & | theURI
| ) |

## Member Function Documentation

void XmlLDrivers_NamespaceDef::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlLDrivers_NamespaceDef::operator new | ( | size_t | size | ) | `[inline]`

void* XmlLDrivers_NamespaceDef::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TCollection_AsciiString& XmlLDrivers_NamespaceDef::Prefix | ( |  | ) | const

Standard_EXPORT const TCollection_AsciiString& XmlLDrivers_NamespaceDef::URI | ( |  | ) | const

## Field Documentation

TCollection_AsciiString XmlLDrivers_NamespaceDef::myPrefix`[private]`

TCollection_AsciiString XmlLDrivers_NamespaceDef::myURI`[private]`

The documentation for this class was generated from the following file:

- XmlLDrivers_NamespaceDef.hxx